<?php
/**
 * 系统常量定义编辑完成
 * $Id: system_const_edit_result.php,2020/01/12 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("1")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$action_type = ParamUtil::getRequestString("action_type");//new edit
$id = ParamUtil::getRequestString("id");
$title = ParamUtil::getRequestString("title");
$name = ParamUtil::getRequestString("name");
$constant_value = ParamUtil::getRequestString("constant_value");

//创建的时候
if($action_type=="new") {
  $system_const_dat = new SystemConstantDat();
}

//编辑
if($action_type=="edit") {
  $system_const_dat = SystemConstantDat::getById($id);
  if ($system_const_dat == null) {
		// エラー表示
		$layout_pages = array();
		$layout_pages["left"] = "menu.inc";
		$layout_pages["right"] = "error.inc";
		$layout_pages["menu_clicked"] = "5-3";
		require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
		exit;
	}
	
	//name唯一check
	$param = array();
	$param["delete_flg"] = false;
	$param["name"] = $name;
	$account_list = AccountMst::getList($param);
	if (count($account_list) > 1) {
	  $error_message = "常量定义名已经被存在,请换一个。";
	  
	  if($action_type =="edit"){
	    $system_const_dat = SystemConstantDat::getById($id);
	  }
	  
	  // 页面表示
	  $layout_pages = array();
	  $layout_pages["left"] = "menu.inc";
	  $layout_pages["right"] = "system_const_edit_input.inc";
	  $layout_pages["menu_clicked"] = "4-3";
	  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	}
	
}

// 数据库更新
$system_const_dat->name = $name;
$system_const_dat->title = $title;
$system_const_dat->constant_value = $constant_value;
$system_const_dat->save();

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "system_const_edit_result.inc";
$layout_pages["menu_clicked"] = "4-3";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;